- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Models::Base::BaseModelStringDomain Class Reference

`#include <BaseModelStringDomain.h>`

Inheritance diagram for Mers::Models::Base::BaseModelStringDomain:

[legend]
Collaboration diagram for Mers::Models::Base::BaseModelStringDomain:

[legend]
List of all members.

## Public Member Functions
| BaseModelStringDomain (bool myOwnershipStatus)
| BaseModelStringDomain (char const *myName, bool myOwnershipStatus, unsigned int myUID=0)
| BaseModelStringDomain (BaseModelStringDomain const &other)
virtual | ~BaseModelStringDomain ()
BaseModelValue * | getValue (char const *valueName)
void | print (std::ostream &out) const
## Protected Member Functions
BaseModelValue * | newValue (char const *valueName)

## Detailed Description

A BaseModelDomain that describes the domain type String. The string domain is the same as a normal domain except all strings that are requested are added if they don't already exist. This makes the string domain appear to be infinite because every string requested will return a valid value.

Definition at line 34 of file BaseModelStringDomain.h.

## Constructor & Destructor Documentation

BaseModelStringDomain::BaseModelStringDomain | ( | bool | myOwnershipStatus | ) |

Creates a new, empty domain.

Parameters:

  | myOwnershipStatus | the ownership status. If true, this object owns the array objects it contains and should delete them upon being deleted.

Definition at line 26 of file BaseModelStringDomain.cpp.

BaseModelStringDomain::BaseModelStringDomain | ( | char const * | myName,
|  | bool | myOwnershipStatus,
|  | unsigned int | myUID = `0` |
| ) |  |  |

Creates a new, empty domain with the specified name and UID.

Parameters:

  | myName | the name of this domain, this name is copied into this object.
  | myUID | the UID of this domain, which can be used to find it in a BaseModelDomainArray.
  | myOwnershipStatus | the ownership status. If true, this object owns the array objects it contains and should delete them upon being deleted.

Definition at line 34 of file BaseModelStringDomain.cpp.

BaseModelStringDomain::BaseModelStringDomain | ( | BaseModelStringDomain const & | other | ) |

Creates a new Domain with a copy of the contents from the other Domain. This can be an expensive operation.

Parameters:

  | other | the Domain being copied to this Domain.

Definition at line 43 of file BaseModelStringDomain.cpp.

BaseModelStringDomain::~BaseModelStringDomain | ( |  | ) | `[virtual]`

Destroys the Domain

Definition at line 51 of file BaseModelStringDomain.cpp.

## Member Function Documentation

BaseModelValue * BaseModelStringDomain::getValue | ( | char const * | valueName | ) | `[virtual]`

Returns the value in this domain with the specified Name. The name is case sensitive. If the name isn't found, it is added and the new value is returned.

Parameters:

  | valueName | the Name of the value being sought.

Returns:
  the value with the (first) matching Name or NULL if it couldn't be created.

Reimplemented from Mers::Models::Base::BaseModelDomain.

Definition at line 58 of file BaseModelStringDomain.cpp.

References Mers::Models::Base::BaseModelDomain::getValue(), and newValue().

Here is the call graph for this function:

void BaseModelStringDomain::print | ( | std::ostream & | out | ) | const`[virtual]`

Prints the contents of this domain to the ostream out. Derived classes should overide this function to change printing behavior.

Parameters:

  | out | all the data from this object is printed to this ostream object.

Reimplemented from Mers::Models::Base::BaseModelDomain.

Definition at line 75 of file BaseModelStringDomain.cpp.

References Mers::Utils::Containers::DynamicArray::printArray().

Here is the call graph for this function:

BaseModelValue * BaseModelStringDomain::newValue | ( | char const * | valueName | ) | `[protected]`

Creates a new BaseModelValue object with the specified Name and inserts it into this domain.

Parameters:

  | valueName | the name of this new value (A string value).

Returns:
  the new Value object, if it could be created and added

Definition at line 86 of file BaseModelStringDomain.cpp.

References Mers::Models::Base::BaseModelDomain::pushBack().

Referenced by getValue().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/Base/BaseModelStringDomain.h
- /Users/fpy/titan-1-5-MBARI/Mers/Models/Base/BaseModelStringDomain.cpp